Bug 12900 - IntranetBiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT
Summary: IntranetBiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12561
  Show dependency treegraph
 
Reported: 2014-09-10 13:15 UTC by Tomás Cohen Arazi
Modified: 2015-06-04 23:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12900: IntranetBiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT (7.27 KB, patch)
2014-09-15 13:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12900: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT (4.07 KB, patch)
2014-09-15 13:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12900: IntranetBiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT (7.32 KB, patch)
2014-10-09 19:48 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 12900: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT (4.13 KB, patch)
2014-10-09 19:48 UTC, Paul Poulain
Details | Diff | Splinter Review
[PASSED QA] Bug 12900: IntranetBiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT (7.39 KB, patch)
2014-10-26 12:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12900: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT (4.25 KB, patch)
2014-10-26 12:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2014-09-10 13:15:04 UTC

    
Comment 1 Tomás Cohen Arazi 2014-09-15 13:48:48 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2014-09-15 13:48:54 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2014-10-09 19:48:03 UTC
Test plan : 
BEFORE the patch
 * switch to default the xstl results
 * set IntranetBiblioDefaultView to any value
 * check that when you're on a list, you always get the normal view

AFTER the patch
 * set IntranetBiblioDefaultView to any value
 * check that when you're on a list or results, you you get the defined view

Following this test plan for a UNIMARC database, I confirm it fixes the bug. Cannot say for NORMARC, but the code is similar,
Comment 4 Paul Poulain 2014-10-09 19:48:49 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2014-10-09 19:48:55 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-10-26 12:45:11 UTC
Created attachment 32775 [details] [review]
[PASSED QA] Bug 12900: IntranetBiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2014-10-26 12:45:52 UTC
Created attachment 32776 [details] [review]
[PASSED QA] Bug 12900: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works as described, tested in UNIMARC and MARC21.
Comment 8 Tomás Cohen Arazi 2014-10-27 14:17:22 UTC
Patches pushed to master.